
Redmine - Defect #36453

Issue subject overflow in subtasks and relations tables

2022-01-19 16:55 - Dmitry Makurin 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 4.2.7   

Resolution: Fixed Affected version:  

Description

If issue has a pretty long title it will took all available space in table row.

Here are the screenshots with a problem.

Subtasks:

 ksnip_20220119-181949.png 

Relations:

 ksnip_20220119-183604.png 

And issue itself:

 ksnip_20220119-182538.png 

Found that there're already some styles in responsive.css for this tables. I would like to move it to application.css as default not only

for small screens.

Subtasks list after patch:

 ksnip_20220119-181822.png 

Issue subject:

 ksnip_20220119-182523.png 

Related issues:

Related to Redmine - Defect #37282: Subtask isn't displayed correctly since 4... Closed

Associated revisions

Revision 21642 - 2022-06-16 23:36 - Marius BĂLTEANU

Fix issue subject overflows in subtasks and relations tables (#36453).

Patch by Dmitry Makurin.

Revision 21648 - 2022-06-17 09:09 - Marius BĂLTEANU

Merged r21642 to 5.0-stable (#36453).

Revision 21649 - 2022-06-17 09:09 - Marius BĂLTEANU

Merged r21642 to 4.2-stable (#36453).

History

#1 - 2022-02-27 14:24 - Marius BĂLTEANU

- Category set to UI - Responsive

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#2 - 2022-02-28 23:13 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Target version changed from Candidate for next minor release to 4.1.7
#3 - 2022-03-27 23:31 - Marius BĂLTEANU

- Target version changed from 4.1.7 to 4.2.6

#4 - 2022-05-16 22:09 - Marius BĂLTEANU

- Target version changed from 4.2.6 to 4.2.7

#5 - 2022-06-16 23:37 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Patch committed, thanks!

#6 - 2022-06-17 09:12 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#7 - 2022-07-17 03:59 - Go MAEDA

- Related to Defect #37282: Subtask isn't displayed correctly since 4.2.7 added
